%global __brp_check_rpaths %{nil}
%global __requires_exclude ^libmpi
%global packname  bark
%global packver   1.0.5
%global rlibdir   /usr/local/lib/R/library

Name:             R-CRAN-%{packname}
Version:          1.0.5
Release:          1%{?dist}%{?buildtag}
Summary:          Bayesian Additive Regression Kernels

License:          GPL (>= 3)
URL:              https://cran.r-project.org/package=%{packname}
Source0:          %{url}&version=%{packver}#/%{packname}_%{packver}.tar.gz


BuildRequires:    R-devel >= 3.5.0
Requires:         R-core >= 3.5.0

%description
Bayesian Additive Regression Kernels (BARK) provides an implementation for
non-parametric function estimation using Levy Random Field priors for
functions that may be represented as a sum of additive multivariate
kernels.  Kernels are located at every data point as in Support Vector
Machines, however, coefficients may be heavily shrunk to zero under the
Cauchy process prior, or even, set to zero.  The number of active features
is controlled by priors on precision parameters within the kernels,
permitting feature selection. For more details see Ouyang, Z (2008)
"Bayesian Additive Regression Kernels", Duke University. PhD dissertation,
Chapter 3 and Wolpert, R. L, Clyde, M.A, and Tu, C. (2011) "Stochastic
Expansions with Continuous Dictionaries Levy Adaptive Regression Kernels,
Annals of Statistics Vol (39) pages 1916-1962 <doi:10.1214/11-AOS889>.

%prep
%setup -q -c -n %{packname}

# fix end of executable files
find -type f -executable -exec grep -Iq . {} \; -exec sed -i -e '$a\' {} \;
# prevent binary stripping
[ -d %{packname}/src ] && find %{packname}/src -type f -exec \
  sed -i 's@/usr/bin/strip@/usr/bin/true@g' {} \; || true
[ -d %{packname}/src ] && find %{packname}/src/Make* -type f -exec \
  sed -i 's@-g0@@g' {} \; || true
# don't allow local prefix in executable scripts
find -type f -executable -exec sed -Ei 's@#!( )*/usr/local/bin@#!/usr/bin@g' {} \;

%build

%install

mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css
# remove buildroot from installed files
find %{buildroot}%{rlibdir} -type f -exec sed -i "s@%{buildroot}@@g" {} \;

%files
%{rlibdir}/%{packname}
